Subject: bug#58281: 27.1; windows mangles encoding on command line

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Oct 2022 13:02:04 +0300

> From: Wayne Harris <[email-masked]>
> Date: Mon, 03 Oct 2022 22:18:35 -0300
> 
> 
> I run emacs -Q.  I open eshell.  Then I try to use fossil (which is a
> version control system like git) and try to put accented letters on the
> commit message.  No choice of encoding seems to avoid the mangling.
> 
> c:/my/path $ alias fs 'fossil $*'
> c:/my/path $ echo kkk >> encoding.txt 
> c:/my/path $ fs changes
> EDITED     encoding.txt
> 
> c:/my/path $ (print default-process-coding-system)
> (undecided-dos . undecided-unix)
> 
> c:/my/path $ (or buffer-file-coding-system "it is nil")
> it is nil
> 
> c:/my/path $ fs commit -m 'Naiveté'
> [...]
> Sync done, wire bytes sent: 3234  received: 309  ip: 5.161.138.46
> 
> c:/my/path $ fs timeline -n 1
> === 2022-10-02 ===
> 13:11:20 [febbbf0441] *CURRENT* NaivetÃ© (user: mer tags: trunk)
> --- entry limit (1) reached ---
> c:/my/path $ 

Where did you download Fossil for MS-Windows?  Is it a native Windows
program, or a Cygwin program?  Is 'fs' a program (i.e. fs.exe) or some
kind of shell script, and if the latter, can you post the script?

Also, do you know whether Fossil expects the message text in some
particular encoding?